#ifndef PL_CONFIG_H
#define PL_CONFIG_H

#include "QString"

#define ETHERTYPE_INTELLON	0x887b

#define CAPABILITIES_TX 1
#define CAPABILITIES_RX 0
extern unsigned char capabilities_flag;

extern unsigned int buflen;

extern unsigned short ex_word(unsigned char *ptr);
extern unsigned long  ex_long(unsigned char *ptr);

extern int plc_init(const QString& interface);
extern int plc_req_param_stat();
extern int plc_set_network_key(const QString& mac, const QString& key);
extern int plc_broadcast_key();
extern int plc_req_intellon_specific();
extern int plc_deinit();
extern int plc_send_mm();
extern int plc_req_version(const QString& mac);
extern int plc_get_device_version(const QString& mac);
extern int plc_read_display_response();
extern char *format_mac_addr(u_char *addr, char *macbuf);
extern int plc_req_perf_stat();
extern int plc_req_channel_estimation();
extern int plc_get_channel_capacities();
#endif
